09. 08. 2022 Damiano Chini Bug Fixes, NetEye

Bug Fixes for NetEye 4.25

We fixed a race condition in El Proxy for which sometimes Logstash was failing to recognize whether an incoming log should be signed by El Proxy or not.

We fixed a bug in El Proxy, which caused the verify command to report corruptions in the blockchain if newly signed documents were still waiting to be indexed by Elasticsearch.

We fixed a bug in Geomap that did not allow automatic updates of hosts’ status.

Moreover, we fixed a bug that prevented the installation of the perl-JSON-XS package, which can be required by external checks.

We fixed two bugs in the Eventhandler. One bug causing a certificates verification error while using the GUI and another one causing the Eventhandler GUI to freeze when a particular race condition was encountered.

We fixed a bug in Tornado that led to a privilege escalation to Icinga2 system user.

For NetEye 4.25 we updated the following packages:

  • icingaweb2-module-geomap, icingaweb2-module-geomap-autosetup to version 1.17.1-1
  • neteye-setup to version 1.90.2-1
  • eventhandler, eventhandler-autosetup, eventhandler-neteye-config to version 1.8.3-1
  • icingaweb2-module-eventhandler, icingaweb2-module-eventhandler-autosetup to version 1.12.1-2
  • perl-nats to version 0.2.2_neteye1.0.1-1
  • tornado-common, tornado-rsyslog-collector-logmanager, tornado, tornado-dto,tornado-neteye-config, tornado-autosetup to version 1.19.6-1
  • icinga2-autosetup, icinga2-common, icinga2-ido-mysql, icinga2-resources, icinga2-neteye-config, icinga2, icinga2-bin, icinga2-debuginfo, icinga2-doc to version 2.11.9_neteye1.48.5-1
  • elastic-blockchain-proxy, elastic-blockchain-proxy-autosetup to version 0.20.2-1
Damiano Chini

Damiano Chini

Author

Damiano Chini

Leave a Reply

Your email address will not be published.

Archive